List POD/TOD beneficiaries
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/beneficiaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/beneficiaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "01K6AB05EJ3T10HRYE78AN7BCD",
"name": "John Jonas Johnson",
"relationship": "son",
"percentage_share": 50,
"designation_type": "pod",
"is_contingent": false,
"contact_info": {
"email": "jsmith@example.com",
"phone": "<string>",
"address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
}
},
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}Account Beneficiaries
List POD/TOD beneficiaries
List all POD (Payable on Death) and TOD (Transfer on Death) beneficiary designations.
GET
/
cases
/
{case_id}
/
bank-accounts
/
{account_id}
/
beneficiaries
List POD/TOD beneficiaries
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
List of beneficiaries.
Show child attributes
Show child attributes
⌘I

